Skip to main content
POST
/
v6
/
reports
/
trialBalance
Trial Balance
curl --request POST \
  --url https://sandbox.tight.com/v6/reports/trialBalance \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "recipients": {
    "emails": [
      "<string>"
    ],
    "ccEmails": [
      "<string>"
    ],
    "bccEmails": [
      "<string>"
    ]
  },
  "filter": {
    "beginDate": "2025-01-01",
    "endDate": "2025-12-31"
  },
  "grouping": {
    "period": "MONTHLY"
  }
}
'
import requests

url = "https://sandbox.tight.com/v6/reports/trialBalance"

payload = {
"recipients": {
"emails": ["<string>"],
"ccEmails": ["<string>"],
"bccEmails": ["<string>"]
},
"filter": {
"beginDate": "2025-01-01",
"endDate": "2025-12-31"
},
"grouping": { "period": "MONTHLY" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
recipients: {emails: ['<string>'], ccEmails: ['<string>'], bccEmails: ['<string>']},
filter: {beginDate: '2025-01-01', endDate: '2025-12-31'},
grouping: {period: 'MONTHLY'}
})
};

fetch('https://sandbox.tight.com/v6/reports/trialBalance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "json": [
      {
        "name": "Jan 2025",
        "period": {
          "beginDate": "2023-12-25",
          "endDate": "2023-12-25"
        },
        "beginningBalance": 123,
        "drAmount": 123,
        "crAmount": 123,
        "endingBalance": 123,
        "children": [
          {
            "name": "Assets",
            "accountId": "gla_123",
            "accountNo": "10000",
            "beginningBalance": 123,
            "drAmount": 123,
            "crAmount": 123,
            "endingBalance": 123,
            "children": [
              {
                "glAccount": {
                  "id": "gla_38560327",
                  "name": "Officer(s) Salaries and Wages",
                  "accountNo": "60210",
                  "type": "EXPENSE",
                  "iconUrl": "https://cdn.sandbox.tight.com/icons/glAccountTypes/expense.png",
                  "displayName": "#60210 Officer(s) Salaries and Wages"
                },
                "beginningBalance": 123,
                "drAmount": 123,
                "crAmount": 123,
                "endingBalance": 123
              }
            ]
          }
        ]
      }
    ],
    "url": "<string>",
    "meta": {
      "title": "<string>",
      "generatedOn": "2023-11-07T05:31:56Z",
      "generatedBy": "John Doe",
      "footerLine": "Generated by Tight"
    }
  }
}
{
"result": "FAILURE",
"error": [
{
"type": "REQUIRED",
"message": "Amount is required",
"param": "amount"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}
{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, see Authentication for more detail.

Body

application/json
exportType
enum<string>

Export format for the report

Available options:
JSON,
PDF,
XLSX
recipients
object

Email recipients for the report

accountingMethod
enum<string>

Accounting method to generate the report in. Defaults to the company's configured accounting method.

Available options:
ACCRUAL,
CASH
filter
object

Filters to apply to the report

grouping
object

Grouping options for the report

dateGrouping
enum<string>
Available options:
DAILY,
MONTHLY,
QUARTERLY,
YEARLY,
NONE

Response

Success

result
enum<string>

The result of the action performed.

Available options:
SUCCESS,
FAILURE
data
object

The data generated by the action performed.